Subject: bug#16647: Imprecisions with window-resizing cursors

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Mar 2014 09:43:16 +0200

> Date: Fri, 28 Feb 2014 19:23:48 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > RIF doesn't go to such low levels (and shouldn't, if you ask me).
> 
> Drawing rectangles could be useful in other cases as well, maybe even
> from Elisp.  But maybe we should leave this privilege to the XWindow
> people ;-)

I meant to say that the line that separates users of RIF from their
implementations is on the xdisp.c and dispnew.c level, i.e. on the
level that implements high-level Emacs display functions.  Drawing a
rectangle is not one of them, because the display engine cares about
text, images, and cursors, not about rectangles and pixels.